<template>
    <div class="svg-draw"></div>
</template>

<script>
    import Vivus from 'vivus';
    export default {
        // 名称
        name: "SvgDraw",
        // 使用组件
        components: {},
        // 传入参数
        props: {
            file: {
                type: String,
                required: true
            }
        },
        // 自定义事件
        emits: {},
        // 数据
        data() {
            return {}
        },
        // 函数
        methods: {
            play: function (speed, fun) {
                this.svg.play(speed, fun);
            }
        },
        // 生命周期钩子
        beforeCreate() {
            // 创建前
        },
        created() {
            // 创建后
        },
        beforeMount() {
            // 渲染前
        },
        mounted() {
            // 渲染后
            this.svg = new Vivus(this.$el, {
                file: this.file
            })
        },
        beforeUpdate() {
            // 数据更新前
        },
        updated() {
            // 数据更新后
        },
    }
</script>

<style lang="less">
    .svg-draw {
        
    }
</style>
